<?php


namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Home\Pages;


use ModulesGarden\ProxmoxAddon\App\Services\Cloud\ResourceManager;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\AccountSummary\Providers\AccountSummaryProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\ServiceGraph\Pages\ServiceCpuGraph;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\ServiceGraph\Pages\ServiceDiskGraph;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\ServiceGraph\Pages\ServiceMemoryGraph;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\ServiceGraph\Pages\ServiceNetworkGraph;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Container;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;
use function ModulesGarden\ProxmoxAddon\Core\Helper\sl;
use function ModulesGarden\Servers\ProxmoxCloudVps\Core\Helper\di;

class AccountSummary extends Container implements ClientArea
{

    public function initContent()
    {
        $this->customTplVars['bars']    = (new AccountSummaryProvider())->read();
    }

    public function initGraphs(){
        $this->addElement(ServiceDiskGraph::class);
        $this->addElement(ServiceCpuGraph::class);
        $this->addElement(ServiceMemoryGraph::class);
        $this->addElement(ServiceNetworkGraph::class);

        return $this;
    }
}